Bug 1784546 - shim-unsigned-x64: FTBFS in Fedora, hasn't been rebuilt since Fedora 28 [NEEDINFO]
Summary: shim-unsigned-x64: FTBFS in Fedora, hasn't been rebuilt since Fedora 28
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: shim-unsigned-x64
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F31FTBFS F32FTBFS F33FTBFS 1883609 F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-12-17 16:58 UTC by Miro Hrončok
Modified: 2020-10-01 14:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
bcotton: fedora_prioritized_bug-
mhroncok: needinfo? (pjones)


Attachments (Terms of Use)

Description Miro Hrončok 2019-12-17 16:58:58 UTC
Description of problem:
Package shim-unsigned-x64 fails to build from source in Fedora rawhide, Fedora 31 and Fedora 30. It has been not rebuilt since Fedora 28.

According to the policy, it is set to be retired cca a week before the branching. That is during the first week of February 2020.

https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
https://fedorapeople.org/groups/schedule/f-32/f-32-key-tasks.html

I am afraid that this might be a crucial package and its retirement might hurt the Fedora project, hence I am opening this bugzilla. Please rebuild the package to avoid the retirement.

If rebuilding is not possible nor desired, please work with FESCo to get a policy exception.

Version-Release number of selected component (if applicable):
15-1.fc28

Steps to Reproduce:
$ fedpkg build

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/shim-unsigned-x64

The build log says:

gcc: command not found

I will see if that's the only problem.

Comment 1 Miro Hrončok 2019-12-17 17:03:54 UTC
(In reply to Miro Hrončok from comment #0)
> The build log says:
> 
> gcc: command not found
> 
> I will see if that's the only problem.

The current problem is:

In file included from /builddir/build/BUILD/shim-13/netboot.c:36:
/usr/include/efi/efi.h:41:10: fatal error: efibind.h: No such file or directory
   41 | #include "efibind.h"
      |          ^~~~~~~~~~~
compilation terminated.

Comment 2 Fedora Release Engineering 2019-12-29 04:23:15 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 30 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 3 Peter Robinson 2019-12-31 12:07:11 UTC
Actually looks like an issue with gnu-efi. Also note due to secure-boot signing ACL requirements this package can only be built by people in the ACL.

Comment 4 Miro Hrončok 2020-01-06 12:44:07 UTC
Nominating as prioritized bug, because, as said on the devel mailing list, we want booting x86 images with secure-boot.

Comment 5 Peter Jones 2020-01-06 20:01:47 UTC
Right now the plan for this is to rebuild it when the next version of shim is released, which will happen once I've gotten sufficient feedback on the proposed openssl changes.  It really doesn't matter that it hasn't been rebuilt, the current build works just fine and it doesn't link against anything at all in the distro.

Comment 6 Ben Cotton 2020-01-15 19:54:37 UTC
Discussed in today's Prioritized Bugs meeting. Rejected as a prioritized bug since it is not a bug, but an edge case in policy. shim, shim-unsigned-x64, and shim-unsigned-aarch64 should be excepted from the long-term FTBFS cleanup.

Comment 7 Miro Hrončok 2020-01-16 08:30:29 UTC
Peter, will you please request the exception trough https://pagure.io/fesco/issues ? You know the technical reasons why this package should not follow the policy.

Comment 8 Ben Cotton 2020-02-11 17:35:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.


Note You need to log in before you can comment on or make changes to this bug.